# Class AbstractView<P, S>`Abstract`

#### Type Parameters

- #### P

- #### S

#### Hierarchy

- Component<P & AbstractViewInterface, S>
  - AbstractView
    - CustomView
    - RcsbView

#### Implements

- SequenceViewInterface

- Defined in src/RcsbFvSequence/SequenceViews/AbstractView.tsx:17

#####
Index

### Constructors

constructor

### Properties

componentDivId
rcsbFvDivId
resizeCallback
updateDimTask

### Methods

additionalContent
componentDidMount
componentWillUnmount
createSubtitle
createTitle
modelChangeCallback
render
representationChangeCallback
structureHoverCallback
structureSelectionCallback
updateDimensions

## Constructors

### `Protected` constructor

- new AbstractView<P, S>(props): AbstractView<P, S>

- #### Type Parameters

  - #### P

  - #### S

  #### Parameters

  - ##### props: P & AbstractViewInterface

  #### Returns AbstractView<P, S>

  Overrides React.Component <P & AbstractViewInterface,S>.constructor

  - Defined in src/RcsbFvSequence/SequenceViews/AbstractView.tsx:23

## Properties

### `Protected` `Readonly` componentDivId

componentDivId: string

- Defined in src/RcsbFvSequence/SequenceViews/AbstractView.tsx:19

### `Protected` `Readonly` rcsbFvDivId

rcsbFvDivId: string

- Defined in src/RcsbFvSequence/SequenceViews/AbstractView.tsx:20

### `Private` resizeCallback

resizeCallback: (() => void) = ...

#### Type declaration

- - (): void

  - #### Returns void

- Defined in src/RcsbFvSequence/SequenceViews/AbstractView.tsx:60

### `Private` updateDimTask

updateDimTask: null | Subscription = null

- Defined in src/RcsbFvSequence/SequenceViews/AbstractView.tsx:21

## Methods

### `Abstract` additionalContent

- additionalContent(): null | Element

- #### Returns null | Element

  Implementation of SequenceViewInterface.additionalContent

  - Defined in src/RcsbFvSequence/SequenceViews/AbstractView.tsx:80

### componentDidMount

- componentDidMount(): void

- #### Returns void

  Overrides React.Component.componentDidMount

  - Defined in src/RcsbFvSequence/SequenceViews/AbstractView.tsx:42

### componentWillUnmount

- componentWillUnmount(): void

- #### Returns void

  Overrides React.Component.componentWillUnmount

  - Defined in src/RcsbFvSequence/SequenceViews/AbstractView.tsx:56

### `Private` createSubtitle

- createSubtitle(): null | Element

- #### Returns null | Element

  - Defined in src/RcsbFvSequence/SequenceViews/AbstractView.tsx:74

### `Private` createTitle

- createTitle(): null | Element

- #### Returns null | Element

  - Defined in src/RcsbFvSequence/SequenceViews/AbstractView.tsx:68

### `Abstract` modelChangeCallback

- modelChangeCallback(): void

- #### Returns void

  Implementation of SequenceViewInterface.modelChangeCallback

  - Defined in src/RcsbFvSequence/SequenceViews/AbstractView.tsx:85

### render

- render(): Element

- #### Returns Element

  Overrides React.Component.render

  - Defined in src/RcsbFvSequence/SequenceViews/AbstractView.tsx:29

### `Abstract` representationChangeCallback

- representationChangeCallback(): void

- #### Returns void

  Implementation of SequenceViewInterface.representationChangeCallback

  - Defined in src/RcsbFvSequence/SequenceViews/AbstractView.tsx:83

### `Abstract` structureHoverCallback

- structureHoverCallback(): void

- #### Returns void

  Implementation of SequenceViewInterface.structureHoverCallback

  - Defined in src/RcsbFvSequence/SequenceViews/AbstractView.tsx:82

### `Abstract` structureSelectionCallback

- structureSelectionCallback(): void

- #### Returns void

  Implementation of SequenceViewInterface.structureSelectionCallback

  - Defined in src/RcsbFvSequence/SequenceViews/AbstractView.tsx:84

### `Abstract` updateDimensions

- updateDimensions(): void

- #### Returns void

  Implementation of SequenceViewInterface.updateDimensions

  - Defined in src/RcsbFvSequence/SequenceViews/AbstractView.tsx:81

Generated using TypeDoc